package nc.ui.gl.capitalreport;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.ui.gl.capitalreport.DailyReportView;
import nc.ui.gl.dailyreport.ButtonKey;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.bd.b54.GlorgbookVO;

public class ToftPanelView extends ToftPanel implements IUiPanel {

   private DailyReportView ivjDailyReportView = null;
   private ButtonObject[] m_Buttons = null;
   public IParent m_parent;
   public IUiPanel m_next;
   private String strModuleCode;


   public ToftPanelView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   private DailyReportView getDailyReportView() {
      if(this.ivjDailyReportView == null) {
         try {
            this.ivjDailyReportView = new DailyReportView();
            this.ivjDailyReportView.setName("DailyReportView");
            this.ivjDailyReportView.setBounds(5, 6, 771, 418);
            this.ivjDailyReportView.setStrModuleCode(this.getModuleCode());
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjDailyReportView;
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("2002004301", "UPP2002004301-000048");
   }

   private void handleException(Throwable exception) {
   }

   private void initButtons() {
      this.m_Buttons = new ButtonObject[4];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY, ButtonKey.bnQRY, 2, "查询");
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setCode("查询");
      this.m_Buttons[0].setHint(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setPowerContrl(true);
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnLC, ButtonKey.bnLC, 2, "明细");
      this.m_Buttons[1].setTag(ButtonKey.bnLC);
      this.m_Buttons[1].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000178"));
      this.m_Buttons[1].setCode("明细");
      this.m_Buttons[1].setHint(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000178"));
      this.m_Buttons[1].setPowerContrl(true);
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnPrint, ButtonKey.bnPrint, 2, "打印");
      this.m_Buttons[2].setTag(ButtonKey.bnPrint);
      this.m_Buttons[2].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_Buttons[2].setCode("打印");
      this.m_Buttons[2].setHint(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_Buttons[2].setPowerContrl(true);
      this.m_Buttons[3] = new ButtonObject(ButtonKey.bnRefresh, ButtonKey.bnRefresh, 2, "刷新");
      this.m_Buttons[3].setTag(ButtonKey.bnRefresh);
      this.m_Buttons[3].setName(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[3].setCode("刷新");
      this.m_Buttons[3].setHint(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[3].setPowerContrl(true);
      this.setButtons(this.m_Buttons);
   }

   private void SetBtnState(int iStatus) {
      int i;
      if(iStatus == 0) {
         for(i = 1; i < this.m_Buttons.length; ++i) {
            this.m_Buttons[i].setEnabled(false);
         }
      } else {
         for(i = 1; i < this.m_Buttons.length; ++i) {
            this.m_Buttons[i].setEnabled(true);
         }
      }

      this.setButtons(this.m_Buttons);
   }

   private void initialize() {
      try {
         this.setName("ToftPanelView");
         this.setLayout(new BorderLayout());
         this.setSize(774, 419);
         this.add(this.getDailyReportView(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.initButtons();
      this.SetBtnState(0);
   }

   public Object invoke(Object objData, Object objUserData) {
      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftPanelView = new ToftPanelView();
         exception.setContentPane(aToftPanelView);
         exception.setSize(aToftPanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_Buttons.length; ++e) {
            if(bo.equals(this.m_Buttons[e])) {
               this.getDailyReportView().tackleBnsEvent(e);
               if(this.m_Buttons[e].getTag().equals(ButtonKey.bnQRY)) {
                  this.showHintMessage(NCLangRes.getInstance().getStrByID("10081206", "UPP10081206-000037"));
                  this.SetBtnState(1);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnPrint)) {
                  this.showHintMessage(ButtonKey.bnPrint);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnLC)) {
                  this.showHintMessage(ButtonKey.bnLC);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnRefresh)) {
                  this.showHintMessage(ButtonKey.bnRefresh);
               }
               break;
            }
         }
      } catch (Exception var3) {
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent p_parent) {
      p_parent.getUiManager().removeAll();
      p_parent.getUiManager().add(this, this.getName());
      if(p_parent instanceof ToftPanel) {
         ToftPanel new_name = (ToftPanel)p_parent;
         String orgbookname = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
         new_name.updateStatusBarAccountMsg(orgbookname);
      }

      this.m_parent = p_parent;
      this.getDailyReportView().setIParent(p_parent);
   }

   public String getStrModuleCode() {
      return this.strModuleCode;
   }

   public void setStrModuleCode(String strModuleCode) {
      this.strModuleCode = strModuleCode;
   }
}
